al_acknowledge_drawing_halt(3)

NAME

al_acknowledge_drawing_halt - Allegro 5 API

SYNOPSIS

    #include <allegro5/allegro.h>
    void al_acknowledge_drawing_halt(ALLEGRO_DISPLAY *display)

DESCRIPTION

Call this in response to the ALLEGRO_EVENT_DISPLAY_HALT_DRAWING(3) event. This is currently necessary for Android and iOS as you are not allowed to draw to your display while it is not being shown. If you do not call this function to let the operating system know that you have stopped drawing or if you call it to late the application likely will be considered misbehaving and get terminated.

SINCE

5.1.0

SEE ALSO

ALLEGRO_EVENT_DISPLAY_HALT_DRAWING(3)